#!/usr/bin/env python

from MoinMessage import *
from email.mime.text import MIMEText
import sys

if __name__ == "__main__":
    signer = sys.argv[1]
    recipient = sys.argv[2]
    host = sys.argv[3]
    path = sys.argv[4] + "?action=PostMessage"

    message = Message()
    message.add_update([MIMEText("An update to the Wiki.", "moin")])
    message.add_update([MIMEText("Another update to the Wiki.", "moin")])
    email_message = message.get_payload()

    try:
        signed_message = signMessage(email_message, signer)
        encrypted_message = encryptMessage(signed_message, recipient)
        sendMessage(encrypted_message, host, path)
    except MoinMessageError, exc:
        print exc

# vim: tabstop=4 expandtab shiftwidth=4
